# $Revision: 1.16 $, $Date: 2002/08/30 20:20:33 $
Summary:	Database Independent Abstraction Layer for C
Summary(pl):	Warstwa DBI dla C
Name:		libdbi
Version:	0.6.5
Release:	2
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/libdbi/%{name}-%{version}.tar.gz
Patch0:		%{name}-mysql.patch
Patch1:		%{name}-opt.patch
URL:		http://libdbi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
Requires:	%{name}-dbd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdbi implements a database-independent abstraction layer in C,
similar to the DBI/DBD layer in Perl. Writing one generic set of code,
programmers can leverage the power of multiple databases and multiple
simultaneous database connections by using this framework.

%description -l pl
libdbi jest implementacj w C warstwy abstrakcyjnej niezalenej od
bazy danych, podobnej do warstwy DBI/DBD w Perlu. Uywajc tego
rodowiska programista moe za pomoc jednego, wsplnego kodu
odwoywa si do wielu rnych baz danych, take jednoczenie.

%package devel
Summary:	Development files for Database Independent Abstraction Layer for C
Summary(pl):	Pliki dla programistw uywajcych warstwy DBI w C
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libdbi-devel package contains the header files and documentation
needed to develop applications with libdbi.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe i dokumentacj do tworzenia
aplikacji z uyciem libdbi.

%package static
Summary:	Static Database Independent Abstraction Layer for C libraries
Summary(pl):	Statyczne biblioteki warstwy DBI w C
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static Database Independent Abstraction Layer for C libraries.

%description static -l pl
Statyczne biblioteki warstwy DBI w C.

%package dbd-mysql
Summary:	MySQL plugin for libdbi
Summary(pl):	Wtyczka MySQL dla libdbi
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-dbd

%description dbd-mysql
This plugin provides connectivity to MySQL database servers through
the libdbi database independent abstraction layer. Switching a
program's plugin does not require recompilation or rewriting source
code.

%description dbd-mysql -l pl
Ta wtyczka daje moliwo czenia si z serwerami MySQL poprzez
bibliotek libdbi. Zmiana uywanej wtyczki nie wymaga rekompilacji ani
zmiany rde programu.

%package dbd-pgsql
Summary:	PostgreSQL plugin for libdbi
Summary(pl):	Wtyczka PostgreSQL dla libdbi
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-dbd

%description dbd-pgsql
This plugin provides connectivity to PostgreSQL database servers
through the libdbi database independent abstraction layer. Switching a
program's plugin does not require recompilation or rewriting source
code.

%description dbd-pgsql -l pl
Ta wtyczka daje moliwo czenia si z serwerami PostgreSQL poprzez
bibliotek libdbi. Zmiana uywanej wtyczki nie wymaga rekompilacji ani
zmiany rde programu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__automake}
%{__autoconf}
%configure \
	--with-mysql \
	--with-pgsql
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README* TODO
%dir %{_libdir}/dbd
%attr(755,root,root) %{_libdir}/libdbi.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/programmers-guide
%attr(755,root,root) %{_libdir}/libdbi.la
%attr(755,root,root) %{_libdir}/libdbi.so
%{_includedir}/dbi

%files static
%defattr(644,root,root,755)
%{_libdir}/libdbi.a
%{_libdir}/dbd/lib*.a

%files dbd-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/dbd/libmysql.so
%attr(755,root,root) %{_libdir}/dbd/libmysql.la

%files dbd-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/dbd/libpgsql.so
%attr(755,root,root) %{_libdir}/dbd/libpgsql.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libdbi.spec,v $
Revision 1.16  2002/08/30 20:20:33  kloczek
- release 2.

Revision 1.15  2002/08/02 18:11:52  kloczek
- added "rm -f missing" on top %build.

Revision 1.14  2002/08/01 18:16:37  qboosh
- working URL, new %%doc, use proper CFLAGS (opt patch)

Revision 1.13  2002/08/01 12:07:16  mwinkler
- updated to 0.6.5, STBR

Revision 1.12  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.11  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/12/04 14:07:29  qboosh
- pl translations, cosmetics
- changed group to Libraries in non-development packages
- removed static library from -devel (it is in -static)
- release 2

Revision 1.5  2001/08/24 09:14:58  wrobell
- ver. 0.6.2

Revision 1.4  2001/08/17 20:39:17  kloczek
- updated to 0.6.

Revision 1.3  2001/08/06 15:55:04  kloczek
- added Source url,
- added BuildRequires rules,
- added static subpackage,
- removed .la files from dbd-* subpackages (not neccessary),
- removed "postgresql >= 7.0.3" and "mysqlclient9 >= 3.23.22" Requires rules
  from dbd-* subpackes,
- soem cleanups in %files,
- added "Provides: %%{name}-dbd" for dbd-* subpackages adn "Require: %%{name}-dbd"
  for main rules for prevent install libdbi without any dbd backend module.

Revision 1.2  2001/08/06 14:56:51  wrobell
- added -p switch for post and postun macros

Revision 1.1  2001/08/06 13:36:57  wrobell
- based on original spec

* Sat Aug 4 2001 David Parker <david@neongoat.com>
- initial spec file created
